SimpleField (KML Framework API)
Keywords: org.boehn.kmlframework.kml.SimpleField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class SimpleField

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.SimpleField

    public class SimpleField

extends KmlObject

Constructor Summary
`SimpleField()`
`SimpleField(SimpleFieldTypeEnum simpleFieldType, java.lang.String name, java.lang.String displayName)`

Method Summary
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getName()`
`SimpleFieldTypeEnum` | `getSimpleFieldType()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setName(java.lang.String name)`
`void` | `setSimpleFieldType(SimpleFieldTypeEnum simpleFieldType)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleField

    public SimpleField()

### SimpleField

    public SimpleField(SimpleFieldTypeEnum simpleFieldType,
                       java.lang.String name,
                       java.lang.String displayName)

Method Detail

### getSimpleFieldType

    public SimpleFieldTypeEnum getSimpleFieldType()

### setSimpleFieldType

    public void setSimpleFieldType(SimpleFieldTypeEnum simpleFieldType)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD